MODULE Salpeter
  double precision :: m1=3d0,m2=150d0 ! lower and upper mass limits
contains
  double precision FUNCTION f(m)
    ! Ref: E.E. Salpeter, ApJ, 121, 161 (1955)
    IMPLICIT none
    double precision, intent(IN) :: m
    f=m**(-2.35d0)
    return
  END FUNCTION f
END MODULE Salpeter
